fix
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.42) unstable; urgency=low
2
3   The anonok setting in config files has been removed. To enable
4   httpauth support on your wiki, you should now enable the anonok plugin,
5   instead.
6
7   Third-party plugins that use pagespec_match() should be updated to pass
8   the new third parameter (from) to that function. This is needed for the
9   new relative glob matching to work.
10
11  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
12
13 ikiwiki (1.34) unstable; urgency=low
14
15   The httpauth setting in config files has been removed. To enable
16   httpauth support on your wiki, you should now enable the httpauth plugin,
17   instead.
18
19   This release includes OpenID support that is enabled through the openid
20   plugin. I recommend turning this on to make it easier for users to sign
21   in to your wiki.
22
23  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
24
25 ikiwiki (1.32) unstable; urgency=low
26
27   There is a change to the plugin interface in this version. Any plugins that
28   modify data in %links should pass scan => 1 when registering the hook that
29   does so.
30
31  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
32
33 ikiwiki (1.29) unstable; urgency=low
34
35   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
36   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
37   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
38
39   There is a change to the plugin interface in this version. Plugins that use
40   %renderedfiles will need to be updated, as the hash's values are now arrays
41   of rendered files. Plugins that cause a page to render additional files
42   should use the new will_render function to register the files.
43
44  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
45
46 ikiwiki (1.22) unstable; urgency=low
47   
48   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
49   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
50   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
51   to force a rebuild.
52
53   If you have modified versions of ikiwiki's html templates, you will need
54   to update your templates to link to the stylesheet file using
55   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
56   STYLEURL.
57
58   There have also been some changes to the plugin interface:
59   Any plugins that use santize, htmlize, or format hooks will need to be
60   updated for this version of ikiwiki since these hooks have been changed
61   to use named parameters.
62
63  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
64
65 ikiwiki (1.13) unstable; urgency=low
66
67   The GlobList format which was used for specifiying sets of pages, has been
68   replaced with a new, more expressive PageSpec format. While GlobLists will
69   continue to work, that format is deprecated, and you are encouraged to use
70   PageSpecs from now on, and also to change any GlobLists in your wiki to
71   PageSpecs. See the new PageSpec page for details.
72   
73   You will need to rebuild your wiki when upgrading to this version. If you
74   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
75   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
76   rebuild.
77
78  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
79
80 ikiwiki (1.11) unstable; urgency=low
81
82   Some changes to tags in this release, due to a new tag plugin. If you have
83   been using the meta plugin to tag pages, you'll want to enable the tag
84   plugin too, and change things like this:
85
86   [[meta link="foobar"]]
87
88   To this:
89
90   [[tag foobar]]
91
92   The new tags will appear at page footers, and are also easier to type.
93
94   There have also been some changes to the plugin interface, particularly the
95   interface of pagetemplate hooks has changed. See the changelog for details.
96
97  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
98
99 ikiwiki (1.8) unstable; urgency=low
100
101   If your wiki is configured with a setup file, you should modify it to
102   stop setting the "plugin" list directly, and instead add or remove plugins
103   via the add_plugins and disable_plugins lines. For example, if you had:
104
105         plugin => [qw{inline smiley search}],
106
107   Change it to these lines, which disables the default htmlscrubber plugin
108   and adds the two additional plugins:
109
110         add_plugins => [qw{smiley search}],
111         disable_plugins => [qw{htmlscrubber}],
112
113   Making this change makes your ikiwiki setup file more future-proof since
114   new default plugins will be automatically used.
115   
116   You will need to rebuild your ikiwiki wrappers when upgrading to this
117   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
118   done automatically when the Debian package is upgraded. Or use
119   ikiiki-mass-rebuild --refresh to force a refresh.
120
121  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
122
123 ikiwiki (1.1) unstable; urgency=low
124
125   There have been several configuration changes in this release of ikiwiki:
126
127   The --svn and --no-svn switches are removed, instead you should use
128    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
129   be changed to set rcs => "svn"; if your setup file sets svn => 0
130   then change it to use rcs => "" to disable svn.
131
132   The --hyperestraier switch is gone too. To enable searching, turn on the
133   search plugin, by passing --plugin=search or through the plugin setting in
134   the setup file.
135
136   The --sanitize and --no-sanitize switches are also gone, replaced with the
137   htmlscrubber plugin. This plugin is enabled by default, to disable it,
138   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
139   setup file.
140
141   Discussion pages are enabled by default, but if your wiki is configured
142   with a setup file, you need to edit it to keep them enabled on upgrade
143   to this version. Add a line reading:
144   discussion => 1,
145
146   You will need to rebuild your wiki when upgrading to this version.
147   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
148   automatically when the Debian package is upgraded. Or use
149   ikiiki-mass-rebuild to force a rebuild.
150
151  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400